SCRIPT_PREFIX=$1

# create frg files
ln -s ../Data/allpathsCor/frag_1.fastq
ln -s ../Data/allpathsCor/frag_2.fastq
fastqToCA -insertsize 180 20 -libraryname frag -innie -type sanger -fastq `pwd`/frag_1.fastq,`pwd`/frag_2.fastq > frag_12.cor.frg
perl $SCRIPT_PREFIX/revFastq.pl ../Data/allpathsCor/shortjump_1.fastq > short_1.fastq
perl $SCRIPT_PREFIX/revFastq.pl ../Data/allpathsCor/shortjump_2.fastq > short_2.fastq
java -cp $SCRIPT_PREFIX:. mergeFastq short_1.fastq short_2.fastq short_12.fastq
fastqToCA -libraryname short -type sanger -fastq `pwd`/short_12.fastq > short_12.cor.frg

sh $SCRIPT_PREFIX/convertToCA.sh 1 ./ genome 0 1 > run.out 2>&1 
